Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] KDE and Cinnamon without systemd => upower problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
Gladdle
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 268
Location: Cleebronn, Germany

PostPosted: Tue Jan 16, 2018 9:26 pm    Post subject: [solved] KDE and Cinnamon without systemd => upower probl Reply with quote

I have a systemd-free Gentoo System on my Lenovo ThinkPad T520 Laptop. I prefer the Cinnamon Desktop, but sometimes i want to use KDE. But that seems to be the problem:
Cinnamon => upower-pm-utils
KDE => upower
I googled a lot, and it seems the reason for the both different versions is:
upower => with systemd
upower-pm-utils => without systemd
Is that correct or have i done something wrong? I didn't get it, is there a solution for the Problem? If i want to install and update cinnamon i got this error :
Code:
These are the packages that would be merged, in reverse order:

Calculating dependencies 
 * IMPORTANT: 18 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

... .... done!
[nomerge       ] gnome-extra/cinnamon-3.0.7-r2::gentoo  USE="networkmanager nls" PYTHON_TARGETS="python2_7 python3_5 -python3_4"
[nomerge       ]  gnome-extra/cinnamon-screensaver-3.0.1::gentoo  USE="pam -debug -doc -systemd" PYTHON_TARGETS="python2_7"
[ebuild     U  ]   net-libs/webkit-gtk-2.18.5:4/37::gentoo [2.18.4:4/37::gentoo] USE="(X) egl geolocation gnome-keyring gstreamer introspection jit libnotify opengl spell wayland webgl (-aqua) -coverage -doc -gles2 -nsplugin {-test}" 14482 KiB
[nomerge       ] gnome-extra/cinnamon-3.0.7-r2::gentoo  USE="networkmanager nls" PYTHON_TARGETS="python2_7 python3_5 -python3_4"
[nomerge       ]  gnome-extra/cinnamon-session-3.0.1::gentoo  USE="ipv6 -doc -systemd"
[ebuild  N     ]   sys-power/upower-pm-utils-0.9.23-r2::gentoo  USE="introspection -ios" 0 KiB
[blocks B      ] sys-power/upower ("sys-power/upower" is blocking sys-power/upower-pm-utils-0.9.23-r2)

Total: 2 packages (1 upgrade, 1 new), Size of downloads: 14482 KiB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-power/upower-pm-utils-0.9.23-r2:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-power/upower-pm-utils-0.9.23 required by (gnome-extra/cinnamon-session-3.0.1:0/0::gentoo, installed)

  (sys-power/upower-0.99.5:0/3::gentoo, installed) pulled in by
    >=sys-power/upower-0.9.23 required by (kde-frameworks/kdelibs-4.14.37:4/4.14::gentoo, installed)
    >=sys-power/upower-0.9.23 required by (kde-plasma/powerdevil-5.10.5:5/5::gentoo, installed)
    >=sys-power/upower-0.9.11 required by (gnome-extra/cinnamon-settings-daemon-3.0.1:0/0::gentoo, installed)
    sys-power/upower[introspection] required by (gnome-extra/cinnamon-3.0.7-r2:0/0::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages



Here is my emerge --info:
Code:
Portage 2.3.13 (python 3.5.4-final-0, default/linux/amd64/17.0, gcc-6.4.0, glibc-2.25-r9, 4.14.8-gentoo-r1-gladdle x86_64)
=================================================================
System uname: Linux-4.14.8-gentoo-r1-gladdle-x86_64-Intel-R-_Core-TM-_i7-2670QM_CPU_@_2.20GHz-with-gentoo-2.4.1
KiB Mem:    16391860 total,  13084296 free
KiB Swap:   16777212 total,  16777212 free
Timestamp of repository gentoo: Tue, 16 Jan 2018 17:00:01 +0000
Head commit of repository gentoo: ece7319b130dc2f809585dce99a7911e95468a7d
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --quiet-build=y --with-bdeps=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en ja"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aacs acl alsa amd64 apache2 apng bdplus berkdb bluetooth bluray bzip2 cdda cddb cli crypt cryptsetup cxx d3d9 dbus directx dri dvd dvdr exif f2fs fat ffmpeg flac fontconfig fonts fortran gd gdbm gnome gnome-keyring gpm grub gtk gtk3 iconv icu ipv6 jpeg jpeg2k jpg kde legacy-systray libnotify linguas_de* linguas_en_GB linguas_ja* lm_sensors lua lvm matroska mesa modules mp3 mpeg mtp multilib multimedia musepack mysql mysqli ncurses networkmanager nls nptl ntfs ogg openal opengl openh264 openmp openssl pam pcre pdf php plasma plymouth pm-utils png policykit pulseaudio python qt5 raw readline samba schroedinger sdk seccomp skins speex spell ssl svg taglib tcpd text themes theora tiff tools truetype twolame udev udf unicode usb utils v4l vaapi vcdx vnc vorbis wallpaper wayland wifi x264 x265 xattr xfs xml xv zip zlib" ABI_X86="64" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_core authn_dbm authn_file authz_core authz_dbm authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers http2 include info log_config logio mime mime_magic negotiation proxy proxy_html proxy_http rewrite setenvif socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias xml2enc" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 efi-64 pc multiboot qemu" INPUT_DEVICES="evdev synaptics mouse roccat_kone keyboard" KERNEL="linux" L10N="de en ja" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport java javafx mobility php profiler webcommon websvccommon" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="intel nouveau vmware qemu" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Can someone help me with this problem?
_________________
Meine Gentoo Linux Konfiguration: Notebook (ACER Aspire 9920G)


Last edited by Gladdle on Wed Jan 24, 2018 10:50 am; edited 1 time in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6993
Location: Austria

PostPosted: Tue Jan 16, 2018 9:33 pm    Post subject: Reply with quote

No, upower does not mean systemd. We are using it just fine here, it is only gnome-extra/cinnamon-session that was slacking in porting over from old consolekit to new w/ upower support. This will be solved by the switch to elogind, which is currently pending stabilisation.

https://bugs.gentoo.org/622080
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Gladdle
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 268
Location: Cleebronn, Germany

PostPosted: Thu Jan 18, 2018 9:52 pm    Post subject: Reply with quote

I am really sorry, i didn't get it (English is not my native language). I uninstalled "upower-pm-utils" and masked it. Then i try to edit "package.accept_keywords":
Code:
gnome-extra/cinnamon-session ~amd64
But i got a lot of dependencie- errors. should i change my complete system to ~amd64 or is this bug still existent?
_________________
Meine Gentoo Linux Konfiguration: Notebook (ACER Aspire 9920G)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6993
Location: Austria

PostPosted: Thu Jan 18, 2018 10:53 pm    Post subject: Reply with quote

Full ~amd64 is not necessary, but cinnamon-session is probably just a tiny piece of the desktop. `emerge -vp cinnamon-3.6.6-r2` should (presumably, not knowing anything about this software) draw in all the necessary dependencies and will give you a nice long list of packages to put into package.accept_keywords. They will most likely be all cinnamon-related, but carefully examine them. 3.6.6 is the version that is slated for stabilisation as soon as elogind was stabilised.

You will also have to switch to elogind: https://wiki.gentoo.org/wiki/Elogind

Again, this is no bug. Just cinnamon being really old on stable.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Gladdle
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 268
Location: Cleebronn, Germany

PostPosted: Wed Jan 24, 2018 10:49 am    Post subject: Reply with quote

First, i have read the elogind @ gentoo wiki, you have posted and switched to elogind. Then i have done this:
Code:
echo "=gnome-extra/cinnamon-3.6.6-r2 ~amd64" >> /etc/portage/package.accept_keywords
echo "=gnome-extra/cinnamon-translations-3.6.3 ~amd64" >> /etc/portage/package.accept_keywords
emerge --update --deep --newuse -av cinnamon
etc-update
emerge --update --deep --newuse -av cinnamon

And now it works, thanks a lot!


EDIT: Forgot to unmask the current version from "cinnamon-translations".
_________________
Meine Gentoo Linux Konfiguration: Notebook (ACER Aspire 9920G)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum